IconList(3pm)

NAME
Tk::IconList - an icon list widget

SYNOPSIS
    use Tk::IconList;
    $il = $mw->IconList(-browsecmd => sub { ... },
                        -command   => sub { ... })->pack;
    $il->Add($icon1, $text1);
    $il->Add($icon2, $text2);
    $il->Arrange;
    ...
    $il->DeleteAll;

DESCRIPTION

  OPTIONS

-browsecmd
-command
-font
    -item -foreground|-fg

  METHODS

DeleteAll
    Deletes all the items inside the canvas subwidget and reset the IconList's state.

Add($image, $text)
    Adds an icon into the IconList with the designated image and text.

Arrange
    Places the icons in a column-major arrangement.

Get Return the selected item.

Invoke
    Gets called when the user invokes the IconList (usually by double-clicking or pressing the Return key) (internal method).

See($tag)
    If the item is not (completely) visible, scroll the canvas so that it becomes visible (internal method).

COPYRIGHT
The original tkfbox.tcl from Tcl/Tk is:

Copyright (c) 1994-1996 Sun Microsystems, Inc.

See the file "license.terms" for information on usage and redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.

Translated to Perl/Tk by Slaven Rezic <srezic@cpan.org>.

SEE ALSO
Tk::FBox.